Attribute VB_Name = "MailWork"
Type MailLegend
  GUID As Long
  UserID As Long
  MailBox As String
  GroupID As Integer
  SpamPorog As Double
  AutoDel As Boolean
  Answer As Boolean
  Block As Boolean
  SpamDetect As Boolean
  SpamDefPorog As Double
  BlockDate As Date
End Type

Public Type MailInfo
  MailID As Long
  MailToID As Long
  MailSize As Long
  MailFrom As String
  MailTo As String
  MailDate As String
  MailSubj As String
  MailMess As String
  MailMIME As String
  MailPeresl As String
  MailBond As String
  MailBlock As Boolean
  MailAnswer As Boolean
  MailUnKnown As Boolean
  MailSPAM As Double
  MailServerIndex As Integer
  MailDBInfo As MailLegend
End Type

Public Memory() As MailInfo
Public LastCMDa As String

'##  -  
Sub LoginAutorization(Optional Complite As Boolean)
  WriteLog IIf(Complite, 14, 15)
End Sub

'##  -  
Sub PasswordAutorization(Optional Complite As Boolean)
  WriteLog IIf(Complite, 16, 17)
End Sub

Function HeadReader(MailHeader As String) As MailInfo
  Dim tmpArray() As String
  tmpArray = Split(MailHeader, vbCrLf)
  ReDim Preserve tmpArray(UBound(tmpArray) - 2)
  HeadReader.MailSPAM = 0
  
  For i = 1 To UBound(tmpArray)
    If tmpArray(i) = "" Or Left(tmpArray(i), 1) = " " Or Left(tmpArray(i), 1) = vbTab Then
   
    Else
      PP = InStr(1, tmpArray(i), ":")
      CMD = Left(tmpArray(i), PP - 1)
      Value = Trim(Right(tmpArray(i), Len(tmpArray(i)) - PP - 1))
    '  
      Select Case UCase(CMD)
      Case "FROM":
        P1 = InStr(1, Value, "<")
        P2 = InStr(1, Value, ">")
        PLEN = P2 - P1 - 1
        If PLEN > 0 Then
          HeadReader.MailFrom = Mid(Value, P1 + 1, PLEN)
        Else
          HeadReader.MailFrom = Trim(Value)
        End If
   
      Case "TO":
        'Debug.Print Value
        P1 = InStr(1, Value, "<")
        P2 = InStr(1, Value, ">")
        PLEN = P2 - P1 - 1
        If PLEN > 0 Then
          HeadReader.MailTo = Mid(Value, P1 + 1, PLEN)
        Else
          HeadReader.MailTo = Trim(Value)
        End If
    
      Case "DATE":
        HeadReader.MailDate = Trim(Value)
    
      Case "SUBJECT":
        HeadReader.MailSubj = Trim(Value)
    
      Case "MESSAGE-ID":
        HeadReader.MailMess = Trim(Value)
    
      Case "MIME-VERSION":
        HeadReader.MailMIME = Trim(Value)
     
      Case "CONTENT-TYPE":
        RR = InStr(1, Value, "boundary=")
        If RR <> 0 Then
          HeadReader.MailBond = Mid(Value, RR + 10, Len(Value) - RR - 10)
        End If
          
      Case "X-SPAM-SCORE"
        HeadReader.MailSPAM = Val(Value)
                  
      Case "DISPOSITION-NOTIFICATION-TO":
        P1 = InStr(1, Value, "<")
        P2 = InStr(1, Value, ">")
        PLEN = P2 - P1 - 1
        If PLEN > 0 Then
          HeadReader.MailPeresl = Mid(Value, P1 + 1, PLEN)
        Else
          HeadReader.MailPeresl = Trim(Value)
        End If
      End Select
    End If
  Next i
End Function

